/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2021/06/06
* Description        : Main program body.
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*******************************************************************************/

/*
 *@Note
 ADCʹDMẠ
 ADCͨ2(PA2),ͨͨDMAȡ ADC1024תݡ

*/

#include "debug.h"


//궨
//#define APP1EN                //APP1ʹ








//
void Writebin_to_Flash();           //BinļFLASH洢


/*********************************************************************
 * @fn      GPIO_Led_int
 *
 * @brief   PA1Ϊ
 *
 * @return  none
 */
void GPIO_Led_int(void)
{
    GPIO_InitTypeDef GPIO_InitStructure;

    RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);
    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_1;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_Init(GPIOA, &GPIO_InitStructure);
}

/*********************************************************************
 * @fn      GPIO_Cfg_init
 *
 * @brief   PA0Ϊ
 *
 * @return  none
 */
void GPIO_Cfg_init(void)
{
    GPIO_InitTypeDef GPIO_InitStructure;

    RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);
    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU;
    GPIO_Init(GPIOA, &GPIO_InitStructure);
}
/*********************************************************************
 * @fn      main
 *
 * @brief   Main program.
 *
 * @return  none
 */
int main(void)
{
    u16 i;

    Delay_Init();
    USART_Printf_Init(115200);
    printf("SystemClk:%d\r\n", SystemCoreClock);

    GPIO_Led_int();             //PA1--

	while(1)
	{

	    /********************************************* û *******************************************/

#ifdef APP1EN
	    printf("Run APP1: LED ON!  \r\n");
        GPIO_ResetBits(GPIOA, GPIO_Pin_1);            //LED
        Delay_Ms(1000);
#else
	    printf("Run APP2: LED TURN!  \r\n");        //תLED
	    GPIO_ResetBits(GPIOA, GPIO_Pin_1);          //LED
	    Delay_Ms(500);
	    GPIO_SetBits(GPIOA, GPIO_Pin_1);            //ϨLED
	    Delay_Ms(500);
#endif

	}
}



